# vmware_host_lockdown – Manage administrator permission for the local administrative account for the ESXi host

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to manage administrator permission for the local administrative account for the host when ESXi hostname is given.
- All parameters and VMware objects values are case sensitive.
- This module is destructive as administrator permission are managed using APIs used, please read options carefully and proceed.
- Please specify `hostname` as vCenter IP or hostname only, as lockdown operations are not possible from standalone ESXi server.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string |  | Name of cluster. All host systems from given cluster used to manage lockdown. Required parameter, if `esxi_hostname` is not set.
esxi_hostname list |  | List of ESXi hostname to manage lockdown. Required parameter, if `cluster_name` is not set. See examples for specifications.
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.

state
string
added in 2.5

Choices:
- present ←
- absent

State of hosts system
If set to `present`, all host systems will be set in lockdown mode.
If host system is already in lockdown mode and set to `present`, no action will be taken.
If set to `absent`, all host systems will be removed from lockdown mode.
If host system is already out of lockdown mode and set to `absent`, no action will be taken.

username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted.
If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.
Environment variable support added in Ansible 2.6.
If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.5

## Examples

    - name: Enter host system into lockdown mode
      vmware_host_lockdown:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        esxi_hostname: '{{ esxi_hostname }}'
        state: present
      delegate_to: localhost

    - name: Exit host systems from lockdown mode
      vmware_host_lockdown:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        esxi_hostname: '{{ esxi_hostname }}'
        state: absent
      delegate_to: localhost

    - name: Enter host systems into lockdown mode
      vmware_host_lockdown:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        esxi_hostname:
            - '{{ esxi_hostname_1 }}'
            - '{{ esxi_hostname_2 }}'
        state: present
      delegate_to: localhost

    - name: Exit host systems from lockdown mode
      vmware_host_lockdown:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        esxi_hostname:
            - '{{ esxi_hostname_1 }}'
            - '{{ esxi_hostname_2 }}'
        state: absent
      delegate_to: localhost

    - name: Enter all host system from cluster into lockdown mode
      vmware_host_lockdown:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        cluster_name: '{{ cluster_name }}'
        state: present
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
results dictionary | always | metadata about state of Host system lock down Sample: {'host_lockdown_state': {'DC0_C0': {'current_state': 'present', 'previous_state': 'absent', 'desired_state': 'present'}}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.